=== debian/control ===
Source: iputils
Section: net
Priority: extra
Maintainer: Noah Meyerhans <noahm@debian.org>
Standards-Version: 3.7.3.0
Build-Depends: debhelper (>> 2), sp, sgmlspl, docbook, quilt
Vcs-Svn: svn+https://svn.csail.mit.edu/iputils
Vcs-Browser: https://svn.csail.mit.edu/iputils

Package: iputils-ping
Architecture: any
Provides: ping
Priority: important
Conflicts: ping, suidmanager (<< 0.50)
Depends: ${shlibs:Depends}
Replaces: netbase (<< 4.00)
Description: Tools to test the reachability of network hosts
 The ping command sends ICMP ECHO_REQUEST packets to a host in order to
 test if the host is reachable via the network.
 .
 This package includes a ping6 utility which supports IPv6 network
 connections.
 
Package: iputils-tracepath
Architecture: any
Suggests: traceroute
Priority: optional
Depends: ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50)
Replaces: netbase (<< 4.00)
Description: Tools to trace the network path to a remote host
 The tracepath utility is similar to the traceroute utility, but also
 attempts to discover the MTU of the path.
 .
 This package also includes tracepath6 and traceroute6 utilities, which
 may be used on IPv6 networks.

Package: iputils-arping
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50), arping, iputils-ping (<<20001110-6)
Replaces: netbase (<< 4.00)
Description: Tool to send ICMP echo requests to an ARP address
 The arping command acts like the standard ping command except it pings
 a machine by its ARP address instead of its IP address.  It is typically
 used to locate a machine if its hardware address is known but its IP
 address is unknown

Package: netkit-ping
Architecture: any
Section: net
Depends: iputils-ping (>= ${binary:Version})
Description: The ping utility from netkit (transitional package)
 This is a transitional package to migrate existing users of netkit-ping
 to iputils-ping (its successor).  It may be safely removed after upgrading.
