=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

patch: patch-stamp
patch-stamp:
	dh_testdir
	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
	touch patch-stamp

unpatch:
	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
	rm -rf .pc patch-stamp

configure: patch
	dh_testdir

build: configure
	dh_testdir

	$(MAKE)
	$(MAKE) -C doc man

clean: unpatch
	dh_testdir
	dh_testroot

	$(MAKE) clean
	dh_clean
	-test -e .pc/applied-patches && quilt pop -a
	test ! -e .pc/applied-patches && rm -rf .pc
	rm -rf .pc

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -piputils-tracepath usr/bin
	dh_installdirs -piputils-ping bin
	dh_installdirs -piputils-arping usr/bin

	install -m 4755 -o root -g root ping debian/iputils-ping/bin/
	install -m 4755 -o root -g root ping6 debian/iputils-ping/bin/
	install -m 4755 -o root -g root traceroute6 \
		debian/iputils-tracepath/usr/bin/traceroute6.iputils
	install -m 0755 -o root -g root tracepath \
		debian/iputils-tracepath/usr/bin/
	install -m 0755 -o root -g root tracepath6 \
		debian/iputils-tracepath/usr/bin/
	install -m 0755 -o root -g root arping debian/iputils-arping/usr/bin/

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs 
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman -piputils-ping
	dh_installman -piputils-tracepath
	mv debian/iputils-tracepath/usr/share/man/man8/traceroute6.8 \
		debian/iputils-tracepath/usr/share/man/man8/traceroute6.iputils.8
	dh_installman -piputils-arping
	dh_installchangelogs 
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	chmod 4755 debian/iputils-ping/bin/ping
	chmod 4755 debian/iputils-ping/bin/ping6
	chmod 4755 debian/iputils-tracepath/usr/bin/traceroute6.iputils
	chmod 4755 debian/iputils-arping/usr/bin/arping
	ln -sf ping.8.gz debian/iputils-ping/usr/share/man/man8/ping6.8.gz
	ln -sf tracepath.8.gz debian/iputils-tracepath/usr/share/man/man8/tracepath6.8.gz
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch # no binary-indep
.PHONY: build configure clean binary-indep binary-arch binary install
