## iputils 20071127-2maemo1

=== debian/changelog ===
iputils (3:20071127-2maemo1) fremantle; urgency=low

  * Initial release for maemo.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 30 Jun 2010 04:16:20 +0300

iputils (3:20071127-2ubuntu1) lucid; urgency=low

  * Fixes typo in tracepath man page (LP: #512227)

 -- arky <rakesh_ambati@yahoo.com>  Wed, 10 Feb 2010 18:33:02 +0530

iputils (3:20071127-2) unstable; urgency=low

  * switch to debhelper 7
  * Add lintian overrides for lintian's warnings about setuid binaries.
  * Add a README.source to document the use of quilt and keep lintian 
    happy.
  * Fix the iputils-arping package description (Thanks Peder Chr.
    Nørgaard <pcn@pogt.dk>) (Closes: #489746)
  * Stop building the netkit-ping transitional package.
  * Add patch from Neil Williams <codehelp@debian.org> to allow
    cross-building (Closes: #451181)
  * Update to standards version 3.8.3.0
  * Use /usr/share/quilt/quilt.make to handle applying/de-applying 
    quilt patches.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 27 Aug 2009 22:41:22 -0400
