=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: iputils
 Section: net
 Priority: extra
-Maintainer: Noah Meyerhans <noahm@debian.org>
-Standards-Version: 3.7.3.0
-Build-Depends: debhelper (>> 2), sp, sgmlspl, docbook, quilt
+Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>, Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Standards-Version: 3.8.3.0
+Build-Depends: debhelper7, sp, sgmlspl, docbook, quilt
 Vcs-Svn: svn+https://svn.csail.mit.edu/iputils
 Vcs-Browser: https://svn.csail.mit.edu/iputils
 
@@ -40,17 +41,14 @@
 Depends: ${shlibs:Depends}
 Conflicts: suidmanager (<< 0.50), arping, iputils-ping (<<20001110-6)
 Replaces: netbase (<< 4.00)
-Description: Tool to send ICMP echo requests to an ARP address
- The arping command acts like the standard ping command except it pings
- a machine by its ARP address instead of its IP address.  It is typically
- used to locate a machine if its hardware address is known but its IP
- address is unknown
+Description: Tool to send ARP Requests for an IP address
+ The standard ping command sends ICMP Echo Requests to an IP address.
+ To do that on an Ethernet-type link, however, the sending node needs
+ to know the MAC address of the destination, so when standard ping
+ fails, you don't really know whether it is the address resolution or
+ the Echo Request that fails.
+ .
+ The arping command only does the ARP part, so it can be useful after
+ a failed ping in figuring out whether it is the resolution or the
+ ICMP Echo that fails.  It can do other useful things, too.
 
-Package: netkit-ping
-Architecture: any
-Section: net
-Depends: iputils-ping (>= ${binary:Version})
-Description: The ping utility from netkit (transitional package)
- This is a transitional package to migrate existing users of netkit-ping
- to iputils-ping (its successor).  It may be safely removed after upgrading.
-
