=== debian/rules ===
--- 
+++ 
@@ -5,16 +5,25 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+#==Added for debhelper 7 backport==
+#==================================
+PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
+export PATH
+SBOX_REDIRECT_IGNORE=/usr/bin/perl
+export SBOX_REDIRECT_IGNORE
+# Changes made to debian/control
+# (debhleper (>=7) -> debhelper7)
+#==================================
 
-patch: patch-stamp
-patch-stamp:
-	dh_testdir
-	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
-	touch patch-stamp
+include /usr/share/quilt/quilt.make
 
-unpatch:
-	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
-	rm -rf .pc patch-stamp
+DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
+else
+CROSS=
+endif
 
 configure: patch
 	dh_testdir
@@ -22,7 +31,7 @@
 build: configure
 	dh_testdir
 
-	$(MAKE)
+	$(MAKE) $(CROSS)
 	$(MAKE) -C doc man
 
 clean: unpatch
@@ -31,19 +40,16 @@
 
 	$(MAKE) clean
 	dh_clean
-	-test -e .pc/applied-patches && quilt pop -a
-	test ! -e .pc/applied-patches && rm -rf .pc
-	rm -rf .pc
 
 install: DH_OPTIONS=
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs -piputils-tracepath usr/bin
 	dh_installdirs -piputils-ping bin
 	dh_installdirs -piputils-arping usr/bin
-
+	dh_lintian
 	install -m 4755 -o root -g root ping debian/iputils-ping/bin/
 	install -m 4755 -o root -g root ping6 debian/iputils-ping/bin/
 	install -m 4755 -o root -g root traceroute6 \
@@ -96,6 +102,7 @@
 	chmod 4755 debian/iputils-ping/bin/ping6
 	chmod 4755 debian/iputils-tracepath/usr/bin/traceroute6.iputils
 	chmod 4755 debian/iputils-arping/usr/bin/arping
+	mv debian/iputils-ping/bin/ debian/iputils-ping/usr/
 	ln -sf ping.8.gz debian/iputils-ping/usr/share/man/man8/ping6.8.gz
 	ln -sf tracepath.8.gz debian/iputils-tracepath/usr/share/man/man8/tracepath6.8.gz
 	dh_installdeb
