## iputils 20071127-2maemo2

=== debian/changelog ===
iputils (3:20071127-2maemo2) fremantle; urgency=low

  * iputils conflicts with maemo, only need ping, so problem 'fixed'

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 30 Jun 2010 04:45:45 +0300
