=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 Package: iputils-ping
 Architecture: any
-Provides: ping
 Priority: important
 Conflicts: ping, suidmanager (<< 0.50)
 Depends: ${shlibs:Depends}
@@ -52,3 +51,17 @@
  a failed ping in figuring out whether it is the resolution or the
  ICMP Echo that fails.  It can do other useful things, too.
 
+Package: ping
+Architecture: any
+Priority: important
+Conflicts: suidmanager (<< 0.50)
+Depends: ${shlibs:Depends}
+Replaces: netbase (<< 4.00)
+Description: Tools to test the reachability of network hosts
+ The ping command sends ICMP ECHO_REQUEST packets to a host in order to
+ test if the host is reachable via the network.
+ .
+ This package includes a ping6 utility which supports IPv6 network
+ connections.
+ .
+ Same package as iputils-ping, but doesn't conflict with busybox.
