=== debian/rules ===
--- 
+++ 
@@ -102,9 +102,11 @@
 	chmod 4755 debian/iputils-ping/bin/ping6
 	chmod 4755 debian/iputils-tracepath/usr/bin/traceroute6.iputils
 	chmod 4755 debian/iputils-arping/usr/bin/arping
-	mv debian/iputils-ping/bin/ debian/iputils-ping/usr/
 	ln -sf ping.8.gz debian/iputils-ping/usr/share/man/man8/ping6.8.gz
 	ln -sf tracepath.8.gz debian/iputils-tracepath/usr/share/man/man8/tracepath6.8.gz
+	mkdir -p debian/ping
+	cp -r debian/iputils-ping/* debian/ping/
+	mv debian/ping/bin debian/ping/usr
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
