## iputils 20100418

=== debian/changelog ===
iputils (3:20100418-3ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #675210), remaining changes:
    - debian/patches/fix-tracepath-doc-typos.diff: Fixes typo in tracepath 
      man page.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Sun, 14 Nov 2010 16:46:11 +0100

iputils (3:20100418-3) unstable; urgency=low

  * Apply upstream's fix to a coding error that prevented the broadcast
    address from being set correctly in arping (Closes: 585591)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 23 Jul 2010 21:44:24 -0700

iputils (3:20100418-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable(LP: #609952). Remaining changes:
     + debian/patches/fix-tracepath-doc-typos.diff:
      - Fixes typo in tracepath man page. 

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 26 Jul 2010 11:04:47 +0530

iputils (3:20100418-2) unstable; urgency=high

  * Fix CVE-2010-2529 - resource consumption triggered by specially crafted
    ICMP echo reply

 -- Noah Meyerhans <noahm@debian.org>  Fri, 23 Jul 2010 21:30:40 -0700

iputils (3:20100418-1) unstable; urgency=low

  * New upstream release.
  * Provide an iputils-clockdiff package (Closes: #199500)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 07 May 2010 23:58:53 -0700

iputils (3:20100418-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes: (LP: #591029)
    + debian/patches/fix-tracepath-doc-typos.diff:
      - Fixes typo in tracepath man page.

 -- Artur Rona <ari-tczew@tlen.pl>  Tue, 08 Jun 2010 01:10:13 +0200

iputils (3:20100214-1) unstable; urgency=low

  * New upstream release.
  * Convert to source format 3.0 (quilt)
  * Update standards version to 3.8.4.0.
  * Switch to debhelper compatibility version 7
  * Remove netkit-ping from debian/control; we don't built it anymore

 -- Noah Meyerhans <noahm@debian.org>  Sun, 04 Apr 2010 00:26:37 -0700
