## iputils 20101006

=== debian/changelog ===
iputils (3:20101006-1ubuntu1) precise; urgency=low

  * Support cross-building (thanks to Wookey <wookey@wookware.org> and Harry
    Liebel; LP: #872370).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Nov 2011 13:17:14 +0000

iputils (3:20101006-1) unstable; urgency=low

  * New upstream release.
  * Remove patches that are now applied upstream.
  * Update Vcs-* fields in debian/control to point to git repos.
  * Update debian/copyright to include the BSD license text.
  * Override lintian's possible-gpl-code-linked-with-openssl error on
    iputils-ping.  ping6 links against libcrypto and is BSD licensed.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 20 Feb 2011 21:28:54 -0800
