=== debian/rules ===
--- 
+++ 
@@ -5,27 +5,16 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
-#==Added for debhelper 7 backport==
-#==================================
-PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
-export PATH
-SBOX_REDIRECT_IGNORE=/usr/bin/perl
-export SBOX_REDIRECT_IGNORE
-# Changes made to debian/control
-# (debhleper (>=7) -> debhelper7)
-#==================================
 
-include /usr/share/quilt/quilt.make
-
-DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	CROSS :=
 else
-CROSS=
+	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
 endif
 
-configure: patch
+configure:
 	dh_testdir
 
 build: configure
@@ -34,7 +23,7 @@
 	$(MAKE) $(CROSS)
 	$(MAKE) -C doc man
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 
@@ -49,7 +38,8 @@
 	dh_installdirs -piputils-tracepath usr/bin
 	dh_installdirs -piputils-ping bin
 	dh_installdirs -piputils-arping usr/bin
-	dh_lintian
+	dh_installdirs -piputils-clockdiff usr/bin
+
 	install -m 4755 -o root -g root ping debian/iputils-ping/bin/
 	install -m 4755 -o root -g root ping6 debian/iputils-ping/bin/
 	install -m 4755 -o root -g root traceroute6 \
@@ -59,6 +49,8 @@
 	install -m 0755 -o root -g root tracepath6 \
 		debian/iputils-tracepath/usr/bin/
 	install -m 0755 -o root -g root arping debian/iputils-arping/usr/bin/
+	install -m 0755 -o root -g root clockdiff \
+		debian/iputils-clockdiff/usr/bin/
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
@@ -87,12 +79,14 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
+	dh_lintian
 	dh_installcron
 	dh_installman -piputils-ping
 	dh_installman -piputils-tracepath
 	mv debian/iputils-tracepath/usr/share/man/man8/traceroute6.8 \
 		debian/iputils-tracepath/usr/share/man/man8/traceroute6.iputils.8
 	dh_installman -piputils-arping
+	dh_installman -piputils-clockdiff
 	dh_installchangelogs 
 	dh_strip
 	dh_link
@@ -102,11 +96,9 @@
 	chmod 4755 debian/iputils-ping/bin/ping6
 	chmod 4755 debian/iputils-tracepath/usr/bin/traceroute6.iputils
 	chmod 4755 debian/iputils-arping/usr/bin/arping
+	chmod 4755 debian/iputils-clockdiff/usr/bin/clockdiff
 	ln -sf ping.8.gz debian/iputils-ping/usr/share/man/man8/ping6.8.gz
 	ln -sf tracepath.8.gz debian/iputils-tracepath/usr/share/man/man8/tracepath6.8.gz
-	mkdir -p debian/ping
-	cp -r debian/iputils-ping/* debian/ping/
-	mv debian/ping/bin debian/ping/usr
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
