=== debian/rules ===
--- 
+++ 
@@ -3,25 +3,25 @@
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
 
+export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+export DEBIAN_CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
-
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-	CROSS :=
-else
-	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
-endif
 
 configure:
 	dh_testdir
 
-build: configure
+build-arch: configure
 	dh_testdir
+	$(MAKE)
 
-	$(MAKE) $(CROSS)
+build-indep: configure
+	dh_testdir
 	$(MAKE) -C doc man
+
+build: build-arch build-indep
 
 clean:
 	dh_testdir
@@ -92,11 +92,11 @@
 	dh_link
 	dh_compress
 	dh_fixperms
-	chmod 4755 debian/iputils-ping/bin/ping
-	chmod 4755 debian/iputils-ping/bin/ping6
-	chmod 4755 debian/iputils-tracepath/usr/bin/traceroute6.iputils
-	chmod 4755 debian/iputils-arping/usr/bin/arping
-	chmod 4755 debian/iputils-clockdiff/usr/bin/clockdiff
+	chmod 755 debian/iputils-ping/bin/ping
+	chmod 755 debian/iputils-ping/bin/ping6
+	chmod 755 debian/iputils-tracepath/usr/bin/traceroute6.iputils
+	chmod 755 debian/iputils-arping/usr/bin/arping
+	chmod 755 debian/iputils-clockdiff/usr/bin/clockdiff
 	ln -sf ping.8.gz debian/iputils-ping/usr/share/man/man8/ping6.8.gz
 	ln -sf tracepath.8.gz debian/iputils-tracepath/usr/share/man/man8/tracepath6.8.gz
 	dh_installdeb
